;;; Copyright 2020 Thomas Hintz
;;;
;;; This file is part of the Alpha Centauri Farming project.
;;;
;;; The Alpha Centauri Farming project is free software: you can
;;; redistribute it and/or modify it under the terms of the GNU
;;; General Public License as published by the Free Software
;;; Foundation, either version 3 of the License, or (at your option)
;;; any later version.
;;;
;;; The Alpha Centauri Farming project is distributed in the hope that
;;; it will be useful, but WITHOUT ANY WARRANTY; without even the
;;; implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;;; PURPOSE.  See the GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with the Alpha Centauri Farming project.  If not, see
;;; <https://www.gnu.org/licenses/>.

(define *otb-text*
  '((fruit . (((p "NEWLY TERRAFORMED") (p (b "5 acres of Fruit"))
               (p "at $5,000 per acre"))
              "5 acres Fruit"))
    (hay . (((p "RECENTLY UNBURIED") (p (b "10 acres of Hay"))
             (p "at $2,000 per acre"))
            "10 acres Hay"))
    (grain . (((p "RECENTLY CONVERTED") (p (b "10 acres of Grain"))
               (p "at $2,000 per acre"))
              "10 acres Grain"))
    (cows . (((p "LIVESTOCK AUCTION") (p (b "10 pregnant cows")) (p "at $500 each"))
             "10 pregnant Cows"))
    (harvester . (((p "EQUIPMENT SALE") (p "retrofitted and working " (b "HARVESTER")))
                  "1 Harvester"))
    (tractor . (((p "EQUIPMENT SALE") (p "retrofitted and working " (b "TRACTOR")))
                "1 Tractor"))
    (ridge4 . (((p "LEASE Tharsis Ridge") (p "for 30 years at $25,000")
                (p (b "and buy 50 pregnant cows to graze it")) (p "at $500 each"))
               "50 Cows on Tharsis Ridge"))
    (ridge3 . (((p "LEASE Marineris Ridge") (p "for 30 years at $20,000")
                (p (b "and buy 40 pregnant cows to graze it")) (p "at $500 each"))
               "40 Cows on Marineris Ridge"))
    (ridge2 . (((p "LEASE Cassini Ridge") (p "for 30 years at $15,000")
                (p (b "and buy 30 pregnant cows to graze it")) (p "at $500 each"))
               "30 Cows on Cassini Ridge"))
    (ridge1 . (((p "LEASE Peridier Ridge") (p "for 30 years at $10,000")
                (p (b "and buy 20 pregnant cows to graze it")) (p "at $500 each"))
               "20 Cows on Peridier Ridge"))))

(define *ff-text*
  '(((p (img (@ (src "./assets/img/volcano2.53c3a93b0867eee67b9b9f6ebc4c1f4a.gif") (style "float: left;"))) "Natural Disaster--The Solar Winds break through the atmosphere. You are luckily shielded by Mt Proctor. Your hay survives and jumps in price. " (b "COLLECT $500 per Hay acre") ". To see if they escaped, other players must roll. Odd: escaped, Even: hit. " (b "Wind hit players must clean up all acres at $100 per acre.")))
    ((p "Planetary Disaster Fund comes through." (p (b "COLLECT $100 per Grain acre."))))
    ((p "Another high wind spring and your wheat didn't get sprayed. Weeds take over and cut your harvest in half. Hold this card through Wheat Harvest for this year."))
    ((p "Kept back some of your cows and Proxima B steak goes viral.") (p (b "COLLECT $2,000 if you have cows.")))
    ((p "The planetary governor buys the farm next door and pays extra for your organic hay for their show sheep.") (p (b "COLLECT $100 per Hay Acre.")))
    ((p "Next shipment from Earth gets delayed. Prices jump.") (p (b "COLLECT $1,000.")))
    ((p "Tax time.") (p (b "PAY $7,000.")))
    ((p "Found in your insect traps is The Centauri AppleFly, relative of the dreaded Earth Medfly. The governor quarantines your orchard and you lose a valuable contract with the terraformers.") (p (b "PAY $500 per Fruit acre.")))
    ((p "Proxima b is loaded with minerals and the Metals company pays you $100 per acre for underground mineral rights on your farm."))
    ((p "Extreme solar winds! Take a trip to the 2nd week of January.") (p "You must forgo your $5,000 year's wages."))
    ((p "Weedle worms get in to sprouting Fruit buds. Little you can do.") (p (b "PAY $300 per Fruit acre.")))
    ((p "Tractor rental bill due. If you don't have a Tractor") (p (b "PAY $3,000.")))
    ((p "Rent out your Harvester.") (p (b "If you have your own Harvester you COLLECT $2,000 from every player who doesn't.")))
    ((p "You should have paid for a tax person. Planetary Tax Services found errors on your tax return and garnishes your income. For the remainder of the year draw OPERATING EXPENSE cards at Harvest time but do not collect Harvest wages."))
    ((p "Your best friend needs cash quick and offers you 10 acres of Hay for just $10,000. It's yours if you can raise the cash."))
    ((p "The Planetary Agricultural Council adds a massive tax on Grain to encourage growth of native crops while you are waiting for the rented harvester to trek down the plateau. You take a big hit.") (p (b "If you haven't bought a harvester yet PAY $2,500.")))
    ((p "A new AI and careful planning cause your calf weaning weights to skyrocket.") (p "For the next two years RECEIVE a 50% bonus on your Livestock Harvest check."))
    ((p "Paleo popularity tanks boosting wheat prices.") (p (b "COLLECT $2,000.")))
    ((p "The University AI sounds the alarm on an allegedly toxic pesticide you use on your cherries. Even though no scientists will corroborate its claim the planetary cherry market is in collapse. Your cherry crop is cut in half this year."))
    ((p "Native Mercury at the Feed Mill leaks into the feed again and ends up in your load. PAC requires you to slaughter the cows on your farm without any reimbursement (not cows on ridges)."))
    ((p "A bug in the transportation AI delays Fruit already in transit with lots going bad.") (p (b "PAY $1,000 per Fruit acre.")))
    ((p "Planetary Finance Office raises prime rate.") (p (b "PAY 10% on loan balance to remain in good standing.")))))

(define *oe-text*
  `(((p "Property taxes due") (p (b "Pay $100 per acre")))
    ((p "Rental fee due") (p (b "Pay $2,000 if you do not own a Harvester")))
    ((p "Rental fee due") (p (b "Pay $2,000 if you do not own a Tractor")))
    ((p "Cow Vitamin Bill due") (p (b "Pay $100 per cow.")))
    ((p "IT bill due") (p (b "Pay $500")))
    ((p "Annual AI reprogramming fee due") (p (b "Pay $1,500")))
    ((p "Magnetic field fluctates. Equipment stops working.")
     (p "The delay costs") (p (b "Pay $1,000")))
    ((p "PFO periodic interest due") (p (b "Pay 10% on Bank Notes on hand")))
    ((p "Electric bill due") (p (b "Pay $1,000")))
    ((p "Ground stabilizer breaks") (p (b "Pay $500")))
    ((p "Grain barely grows") (p (b "Pay $100 per Grain acre to revitalize")))
    ((p "Fusion generator repair") (p (b "Pay $3,000")))
    ((p "Fence repair") (p (b "Pay $500")))
    ((p "AI vet makes a visit") (p (b "Pay $500 if you own cows")))
    ((p "PFO insurance due") (p (b "Pay $1,500")))))

(define *item-card* "Item for Sale")
(define *item-card-short* "I.F.S.")
(define *fate-card* "Farmer's Luck")
(define *fate-card-short* "F.L.")
